//+------------------------------------------------------------------+
//|                                              Key to the mint.mq4 |
//|                                                   free84@aol.com |
//+------------------------------------------------------------------+

#property link "free84@aol.com"

#property indicator_chart_window

extern int EMA=5;// was 5
extern int EMA2=13;// was 13
extern int RSIv=13;// was 13
extern int CCIv=50;
extern int XDISTANCE=1050;
extern int YDISTANCE=35;
double dTemp[7,2];

int init()
	{
		ObjectCreate("Dot1",OBJ_LABEL,0,0,0);
		ObjectSet("Dot1",OBJPROP_XDISTANCE,XDISTANCE);
		ObjectSet("Dot1",OBJPROP_YDISTANCE,YDISTANCE);
		ObjectSetText("Dot1","H4",10,"Arial Black",EMPTY_VALUE);
		
		ObjectCreate("Dot2",OBJ_LABEL,0,0,0);
		ObjectSet("Dot2",OBJPROP_XDISTANCE,XDISTANCE-25);
		ObjectSet("Dot2",OBJPROP_YDISTANCE,YDISTANCE);
		ObjectSetText("Dot2","H1",10,"Arial Black",EMPTY_VALUE);
		
		ObjectCreate("Dot3",OBJ_LABEL,0,0,0);
		ObjectSet("Dot3",OBJPROP_XDISTANCE,XDISTANCE-70);
		ObjectSet("Dot3",OBJPROP_YDISTANCE,YDISTANCE);
		ObjectSetText("Dot3","M30",10,"Arial Black",EMPTY_VALUE);
		
		ObjectCreate("Dot4",OBJ_LABEL,0,0,0);
		ObjectSet("Dot4",OBJPROP_XDISTANCE,XDISTANCE-110);
		ObjectSet("Dot4",OBJPROP_YDISTANCE,YDISTANCE);
		ObjectSetText("Dot4","M15",10,"Arial Black",EMPTY_VALUE);
		
		ObjectCreate("Dot5",OBJ_LABEL,0,0,0);
		ObjectSet("Dot5",OBJPROP_XDISTANCE,XDISTANCE-140);
		ObjectSet("Dot5",OBJPROP_YDISTANCE,YDISTANCE);
		ObjectSetText("Dot5","M5",10,"Arial Black",EMPTY_VALUE);
		
		ObjectCreate("Dot6",OBJ_LABEL,0,0,0);
		ObjectSet("Dot6",OBJPROP_XDISTANCE,XDISTANCE-170);
		ObjectSet("Dot6",OBJPROP_YDISTANCE,YDISTANCE);
		ObjectSetText("Dot6","M1",10,"Arial Black",EMPTY_VALUE);
		
	}

int deinit()
	{
		ObjectDelete("Dot1");
		ObjectDelete("Dot2");
		ObjectDelete("Dot3");
		ObjectDelete("Dot4");
		ObjectDelete("Dot5");
		ObjectDelete("Dot6");
		
	}

int start()

	{
	 bool H4=false;
    bool H1=false;
    bool M30=false;
    bool M15=true;
    bool M5=true;
    bool M1=true;
		double RSIa, RSIb, CCIa,CCIb;
		int iIndicatorCounted=IndicatorCounted();
		if(iIndicatorCounted<0)
			{
				return(-1);
			}
		int iLimit=Bars-iIndicatorCounted;
		for(int i=iLimit;i>=0;i--)
			{
			if(M1)
					{
						dTemp[6,1]=iMA(NULL,PERIOD_M1,EMA2,0,MODE_EMA,PRICE_OPEN,i);
						dTemp[6,0]=iMA(NULL,PERIOD_M1,EMA,0,MODE_EMA,PRICE_CLOSE,i );
						RSIa = iRSI(NULL, 1, RSIv, PRICE_CLOSE, i );
						CCIa = iCCI(NULL, 1, CCIv, PRICE_CLOSE, i );
						if(dTemp[6,0]>dTemp[6,1] && RSIa > 50 && CCIa>50)
							{
								ObjectSet("Dot6",OBJPROP_COLOR,Blue);
							}
						else if(dTemp[6,0]<dTemp[6,1] && RSIa < 50&& CCIa<-50)
							{
								ObjectSet("Dot6",OBJPROP_COLOR,Red);
							}
						else
							{
								ObjectSet("Dot6",OBJPROP_COLOR,DimGray);
							}
					}
			if(M5)
					{
						dTemp[5,1]=iMA(NULL,PERIOD_M5,EMA2,0,MODE_EMA,PRICE_OPEN,i);
						dTemp[5,0]=iMA(NULL,PERIOD_M5,EMA,0,MODE_EMA,PRICE_CLOSE,i );
						RSIa = iRSI(NULL, 5, RSIv, PRICE_CLOSE, i );
						CCIa = iCCI(NULL, 5, CCIv, PRICE_CLOSE, i );
						if(dTemp[5,0]>dTemp[5,1] && RSIa > 50 && CCIa>50)
							{
								ObjectSet("Dot5",OBJPROP_COLOR,Blue);
							}
						else if(dTemp[5,0]<dTemp[5,1] && RSIa < 50&& CCIa<-50)
							{
								ObjectSet("Dot5",OBJPROP_COLOR,Red);
							}
						else
							{
								ObjectSet("Dot5",OBJPROP_COLOR,DimGray);
							}
					}
			if(M15)
					{
						dTemp[4,1]=iMA(NULL,PERIOD_M15,EMA2,0,MODE_EMA,PRICE_OPEN,i);
						dTemp[4,0]=iMA(NULL,PERIOD_M15,EMA,0,MODE_EMA,PRICE_CLOSE,i );
						RSIa = iRSI(NULL, 15, RSIv, PRICE_CLOSE, i );
						CCIa = iCCI(NULL, 15, CCIv, PRICE_CLOSE, i );
						if(dTemp[4,0]>dTemp[4,1] && RSIa > 50 && CCIa>50)
							{
								ObjectSet("Dot4",OBJPROP_COLOR,Blue);
							}
						else if(dTemp[4,0]<dTemp[4,1] && RSIa < 50&& CCIa<-50)
							{
								ObjectSet("Dot4",OBJPROP_COLOR,Red);
							}
						else
							{
								ObjectSet("Dot4",OBJPROP_COLOR,DimGray);
							}
					}
			if(M30)
					{
						dTemp[3,1]=iMA(NULL,PERIOD_M30,EMA2,0,MODE_EMA,PRICE_OPEN,i);
						dTemp[3,0]=iMA(NULL,PERIOD_M30,EMA,0,MODE_EMA,PRICE_CLOSE,i );
						RSIa = iRSI(NULL, 30, RSIv, PRICE_CLOSE, i );
						CCIa = iCCI(NULL, 30, CCIv, PRICE_CLOSE, i );
						if(dTemp[3,0]>dTemp[3,1] && RSIa > 50 && CCIa>50)
							{
								ObjectSet("Dot3",OBJPROP_COLOR,Blue);
							}
						else if(dTemp[3,0]<dTemp[3,1] && RSIa < 50&& CCIa<-50)
							{
								ObjectSet("Dot3",OBJPROP_COLOR,Red);
							}
						else
							{
								ObjectSet("Dot3",OBJPROP_COLOR,DimGray);
							}
					}
				if(H1)
					{
						dTemp[2,1]=iMA(NULL,PERIOD_H1,EMA2,0,MODE_EMA,PRICE_OPEN,i);
						dTemp[2,0]=iMA(NULL,PERIOD_H1,EMA,0,MODE_EMA,PRICE_CLOSE,i );
						RSIa = iRSI(NULL, 60, RSIv, PRICE_CLOSE, i );
						CCIa = iCCI(NULL, 60, CCIv, PRICE_CLOSE, i );
						if(dTemp[2,0]>dTemp[2,1] && RSIa > 50 && CCIa>50)
							{
								ObjectSet("Dot2",OBJPROP_COLOR,Blue);
							}
						else if(dTemp[2,0]<dTemp[2,1] && RSIa < 50&& CCIa<-50)
							{
								ObjectSet("Dot2",OBJPROP_COLOR,Red);
							}
						else
							{
								ObjectSet("Dot2",OBJPROP_COLOR,DimGray);
							}
					}
				
					
				
			}
	}